Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Class DocumentFolderPermission

    java.lang.Object
      com.plumtree.remote.prc.collaboration.document.DocumentFolderPermission

public class DocumentFolderPermission
extends java.lang.Object

An enumerated type used to describe the permissions for document folders. It is used in `IDocument.isActionAllowed` method.

Field Summary
`static DocumentFolderPermission` | `COPY` Ability to copy a document folder.
`static DocumentFolderPermission` | `DELETE` Ability to delete a document folder.
`static DocumentFolderPermission` | `EDIT` Ability to change a document folder's properties.
`static DocumentFolderPermission` | `EDIT_SECURITY` Ability to change document folder's security.
`static DocumentFolderPermission` | `INSERT_DOCUMENTS` Ability to insert documents into this folder.
`static DocumentFolderPermission` | `INSERT_SUBFOLDERS` Ability to insert document folders into this folder.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COPY

    public static final DocumentFolderPermission COPY

  Ability to copy a document folder.

### DELETE

    public static final DocumentFolderPermission DELETE

  Ability to delete a document folder.

### EDIT

    public static final DocumentFolderPermission EDIT

  Ability to change a document folder's properties.

### EDIT_SECURITY

    public static final DocumentFolderPermission EDIT_SECURITY

  Ability to change document folder's security.

### INSERT_DOCUMENTS

    public static final DocumentFolderPermission INSERT_DOCUMENTS

  Ability to insert documents into this folder.

### INSERT_SUBFOLDERS

    public static final DocumentFolderPermission INSERT_SUBFOLDERS

  Ability to insert document folders into this folder.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.